package net.knarcraft.blacksmith.config;

/**
 * A representation of all value types used by settings
 */
public enum SettingValueType {

    /**
     * A double value which cannot be negative
     */
    POSITIVE_DOUBLE,

    /**
     * Any string (used for messages), except empty
     */
    STRING,

    /**
     * An integer value which cannot be negative
     */
    POSITIVE_INTEGER,

    /**
     * A percentage integer value (0-100 only)
     */
    PERCENTAGE,

    /**
     * A boolean value
     */
    BOOLEAN,

    /**
     * A string list (used for reforge-able items)
     */
    STRING_LIST,

    /**
     * A reforge-able material
     */
    MATERIAL,

    /**
     * An enchantment
     */
    ENCHANTMENT,

    /**
     * A comma-separated list of reforge-able items
     */
    REFORGE_ABLE_ITEMS,

}
